Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# TiXmlDocument Class Reference

Inheritance diagram for TiXmlDocument:

List of all members.

## Public Member Functions
| TiXmlDocument ()
| TiXmlDocument (TiXmlDocument const copy)
| TiXmlDocument (string documentName)
| TiXmlDocument (string documentName)
| ClearError ()
bool | Error ()
int | ErrorCol ()
string | ErrorDesc ()
int | ErrorId ()
int | ErrorRow ()
bool | LoadFile (TiXmlEncoding encoding)
bool | LoadFile ()
bool | LoadFile (string filename, TiXmlEncoding encoding)
bool | LoadFile (string filename)
bool | LoadFile (FILE, TiXmlEncoding encoding)
bool | LoadFile (string filename, TiXmlEncoding encoding)
bool | LoadFile (string filename)
bool | LoadFile (FILE)
TiXmlDocument | operator= (TiXmlDocument const copy)
| Print ()
TiXmlElement | RootElement ()
TiXmlElement const | RootElement ()
bool | SaveFile ()
bool | SaveFile (string filename)
bool | SaveFile (string filename)
bool | SaveFile (FILE)
| SetError (int err, string errorLocation, TiXmlParsingData prevData, TiXmlEncoding encoding)
| SetTabSize (int _tabsize)
int | TabSize ()

## Constructor & Destructor Documentation

TiXmlDocument | ( |  | ) |

TiXmlDocument | ( | TiXmlDocument const | copy | ) |

TiXmlDocument | ( | string | documentName | ) |

TiXmlDocument | ( | string | documentName | ) |

## Member Function Documentation

ClearError | ( |  | ) |

bool Error | ( |  | ) |

int ErrorCol | ( |  | ) |

string ErrorDesc | ( |  | ) |

int ErrorId | ( |  | ) |

int ErrorRow | ( |  | ) |

bool LoadFile | ( | TiXmlEncoding | encoding | ) |

bool LoadFile | ( | string | filename,
|  | TiXmlEncoding | encoding
| ) |  |

bool LoadFile | ( | string | filename | ) |

bool LoadFile | ( | FILE | ,
|  | TiXmlEncoding | encoding
| ) |  |

bool LoadFile | ( |  | ) |

bool LoadFile | ( | FILE |  | ) |

bool LoadFile | ( | string | filename,
|  | TiXmlEncoding | encoding
| ) |  |

bool LoadFile | ( | string | filename | ) |

TiXmlDocument operator= | ( | TiXmlDocument const | copy | ) |

Print | ( |  | ) |

TiXmlElement const RootElement | ( |  | ) |

TiXmlElement RootElement | ( |  | ) |

bool SaveFile | ( | string | filename | ) |

bool SaveFile | ( |  | ) |

bool SaveFile | ( | string | filename | ) |

bool SaveFile | ( | FILE |  | ) |

SetError | ( | int | err,
|  | string | errorLocation,
|  | TiXmlParsingData | prevData,
|  | TiXmlEncoding | encoding
| ) |  |

SetTabSize | ( | int | _tabsize | ) |

int TabSize | ( |  | ) |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties